<?php if (!defined('BASEPATH')) exit('No direct script access allowed');

class Crawler_listen_history_model extends CI_Model
{
    protected $_table = 'crawler_listen_histories';
    protected $_table_view = 'listen_history_view';

    public function __construct()
    {
        parent::__construct();
        date_default_timezone_set("Asia/Ho_Chi_Minh");
    }

    /**
     * Lấy lịch sử lượt nghe của bài hát theo ID
     *
     * @param $track_id
     * @return mixed
     */
    public function getByTrackId($track_id)
    {
        $this->db->select($this->_table . '.*');
        $this->db->from($this->_table);
        $this->db->where($this->_table . '.track_id', $track_id);
        $this->db->order_by($this->_table . '.date_log', 'asc');
        $query = $this->db->get();

        return $query->result_array();
    }

    /**
     * Lấy lịch sử lượt nghe của bài hát theo ID từ views
     *
     * @param $track_id
     * @return mixed
     */
    public function getByTrackIdFromView($track_id)
    {
        $this->db->select($this->_table_view . '.*');
        $this->db->from($this->_table_view);
        $this->db->where($this->_table_view . '.track_id', $track_id);
        $query = $this->db->get();

        return $query->result_array();
    }

}

/* End of file welcome.php */
/* Location: ./application/controllers/welcome.php */